apiVersion: apps/v1
kind: Deployment
metadata:
  name: docflow-template
  namespace: edoc2
  labels:
    app: docflow-template
    k8s-app: docflow-template
spec:
  selector:
    matchLabels:
      app: docflow-template
  replicas: 1
  revisionHistoryLimit: 5
  template:
    metadata:
      labels:
        app: docflow-template
    spec:
      hostname: docflow-template
      terminationGracePeriodSeconds: 30
      containers:
      - name: template
        image: registry.edoc2.com:5000/edoc2v5/template:docflow-v2.11.1
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: ecm-envfile
        - configMapRef:
            name: docflow-envfile
        securityContext:
          privileged: true
        ports:
        - containerPort: 80
          name: docflow-tem
          protocol: TCP
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive

---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: docflow-template
  name: docflow-template
  namespace: edoc2
spec:
  ports:
  - name: docflow-tem
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: docflow-template
  type: ClusterIP
